export declare enum LogLevel {
    ERROR = 0,
    WARN = 1,
    INFO = 2,
    DEBUG = 3,
    TRACE = 4
}
export interface LoggerOptions {
    level?: LogLevel;
    prefix?: string;
    timestamp?: boolean;
}
export declare class Logger {
    private level;
    private prefix;
    private timestamp;
    constructor(options?: LoggerOptions);
    private formatMessage;
    private format;
    private formatObject;
    error(message: string, ...args: any[]): void;
    warn(message: string, ...args: any[]): void;
    info(message: string, ...args: any[]): void;
    debug(message: string, ...args: any[]): void;
    trace(message: string, ...args: any[]): void;
    setLevel(level: LogLevel): void;
    getLevel(): LogLevel;
}
