export interface DownloaderOptions {
    pingDelayMs?: number;
    fetchDelayMs?: number;
    maxRetries?: number;
    retryDelay?: number;
    headers?: Record<string, string>;
    outputPath?: string;
    maxConcurrency?: number;
}
export interface DownloadStatus {
    totalPages: number;
    currentPage: number;
    currentUrl: string;
    status: 'idle' | 'downloading' | 'completed' | 'error';
    error?: string;
    startTime?: number;
    rateLimitReset?: number;
    pagesScraped: string[];
}
export interface PageData {
    index: number;
    title: string;
    content: string;
    url: string;
}
